%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# Generated from spring-watcher-listen-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spring-watcher-listen

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Makes spring watch files using the listen gem
Group: Development/Languages
License: MIT
URL: https://github.com/jonleighton/spring-watcher-listen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(spring)
Requires: %{?scl_prefix}rubygem(listen)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(spring)
BuildRequires: %{?scl_prefix}rubygem(listen)
BuildRequires: %{?scl_prefix}rubygem(activesupport)
# spring requires bundler as a runtime dependency.
BuildRequires: %{?scl_prefix_ruby}rubygem(bundler)
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

# Explicitly require runtime subpackage, as long as older scl-utils do not generate it
%{?scl:Requires: %{?scl_prefix}runtime}

%description
This gem makes Spring watch the filesystem for changes using Listen rather than
by polling the filesystem. On larger projects this means spring will be more
responsive, more accurate and use less cpu on local filesystems.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
set -e
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
%{?scl:scl enable %{scl} - << \EOF}
set -e
gem build %{gem_name}.gemspec
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Run the test suite

%check
pushd .%{gem_instdir}
sed -i '/bundler\/setup/ s/^/#/' test/helper.rb
# Run only unit test now, acceptance test wants to compile gems extensions
mv test/acceptance_test.rb{,.disable}
# Asking about tests finish with a error "undefined method callback!".
# https://github.com/jonleighton/spring-watcher-listen/issues/12
%{?scl:scl enable %{scl} - << \EOF}
ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
%{?scl:EOF}
popd

%files
# There is no %%license macro on RHEL6.
# https://bugzilla.redhat.com/show_bug.cgi?id=1386246
%{!?_licensedir:%global license %%doc}

%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spring-watcher-listen.gemspec
%{gem_instdir}/test

%changelog
* Mon Jan 02 2017 Jun Aruga <jaruga@redhat.com> - 2.0.1-1
- Update to 2.0.1

* Thu Jul 28 2016 Jun Aruga <jaruga@redhat.com> - 2.0.0-1
- Initial package
